clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
Headers.h File Reference
`#include "Path.h"`
`#include "Protocol.h"`
`#include "SourceCode.h"`
`#include "index/Symbol.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Lex/HeaderSearch.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Tooling/Inclusions/HeaderIncludes.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSet.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
Include dependency graph for Headers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::HeaderFile
| Represents a header file to be #include'd. More...
struct | clang::clangd::Inclusion
struct | clang::clangd::IncludeGraphNode
class | clang::clangd::IncludeStructure
class | clang::clangd::IncludeInserter

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::IncludeGraph = llvm::StringMap< IncludeGraphNode >

## Functions
bool | clang::clangd::isLiteralInclude (llvm::StringRef Include)
| Returns true if `Include` is literal include like "path" or <path>. More...
llvm::Expected< HeaderFile > | clang::clangd::toHeaderFile (llvm::StringRef Header, llvm::StringRef HintPath)
| Creates a `HeaderFile` from `Header` which can be either a URI or a literal include. More...
llvm::SmallVector< llvm::StringRef, 1 > | clang::clangd::getRankedIncludes (const Symbol &Sym)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Inclusion &Inc)
IncludeGraphNode::SourceFlag | clang::clangd::operator| (IncludeGraphNode::SourceFlag A, IncludeGraphNode::SourceFlag B)
bool | clang::clangd::operator & (IncludeGraphNode::SourceFlag A, IncludeGraphNode::SourceFlag B)
IncludeGraphNode::SourceFlag & | clang::clangd::operator|= (IncludeGraphNode::SourceFlag &A, IncludeGraphNode::SourceFlag B)
std::unique_ptr< PPCallbacks > | clang::clangd::collectIncludeStructureCallback (const SourceManager &SM, IncludeStructure *Out)
| Returns a PPCallback that visits all inclusions in the main file. More...